Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.wmf.tosvg
Class AbstractWMFPainter

    java.lang.Object
      org.apache.batik.transcoder.wmf.tosvg.AbstractWMFPainter

Direct Known Subclasses:
  WMFPainter

    public class AbstractWMFPainter

extends Object

This class provides generic methods that must be used by a particular WMFPainter.

Field Summary
`protected boolean` | `bReadingWMF`
`static int` | `BRUSH`
`protected BufferedInputStream` | `bufStream`
`protected int` | `currentHorizAlign`
`protected WMFRecordStore` | `currentStore`
`protected int` | `currentVertAlign`
`static int` | `FONT`
`static int` | `NULL_BRUSH`
`static int` | `NULL_PEN`
`static int` | `OBJ_BITMAP`
`static int` | `OBJ_REGION`
`static int` | `PALETTE`
`static int` | `PEN`
`static String` | `WMF_FILE_EXTENSION`
`protected WMFFont` | `wmfFont`

Constructor Summary
`AbstractWMFPainter()`

Method Summary
`protected int` | `addObject(WMFRecordStore store, int type, Object obj)`
`protected int` | `addObjectAt(WMFRecordStore store, int type, Object obj, int idx)`
`protected AttributedString` | `getAttributedString(Graphics2D g2d, String sr, WMFFont wmffont)`
`protected AttributedCharacterIterator` | `getCharacterIterator(Graphics2D g2d, String sr, WMFFont wmffont)` Create an AttributedCharacterIterator with the current definition of the WMF Font, and the input String.
`protected AttributedCharacterIterator` | `getCharacterIterator(Graphics2D g2d, String sr, WMFFont wmffont, int align)` Create an AttributedCharacterIterator with the current definition of the WMF Font, and the input String.
`protected BufferedImage` | `getImage(byte[] bit)` Return the image associated with a bitmap in a Metafile.
`protected BufferedImage` | `getImage(byte[] bit, int width, int height)` Return the image associated with a bitmap in a Metafile.
`protected Dimension` | `getImageDimension(byte[] bit)`
`WMFRecordStore` | `getRecordStore()` Returns the WMFRecordStore this WMFPainter renders
`void` | `setRecordStore(WMFRecordStore currentStore)` Sets the WMFRecordStore this WMFPainter should use to render

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WMF_FILE_EXTENSION

    public static final String WMF_FILE_EXTENSION

See Also:
  Constant Field Values

### wmfFont

    protected WMFFont wmfFont

### currentHorizAlign

    protected int currentHorizAlign

### currentVertAlign

    protected int currentVertAlign

### PEN

    public static final int PEN

See Also:
  Constant Field Values

### BRUSH

    public static final int BRUSH

See Also:
  Constant Field Values

### FONT

    public static final int FONT

See Also:
  Constant Field Values

### NULL_PEN

    public static final int NULL_PEN

See Also:
  Constant Field Values

### NULL_BRUSH

    public static final int NULL_BRUSH

See Also:
  Constant Field Values

### PALETTE

    public static final int PALETTE

See Also:
  Constant Field Values

### OBJ_BITMAP

    public static final int OBJ_BITMAP

See Also:
  Constant Field Values

### OBJ_REGION

    public static final int OBJ_REGION

See Also:
  Constant Field Values

### currentStore

    protected WMFRecordStore currentStore

### bReadingWMF

    protected transient boolean bReadingWMF

### bufStream

    protected transient BufferedInputStream bufStream

Constructor Detail

### AbstractWMFPainter

    public AbstractWMFPainter()

Method Detail

### getImage

    protected BufferedImage getImage(byte[] bit,
                                     int width,
                                     int height)

  Return the image associated with a bitmap in a Metafile. 24 bits and 8 bits bitmaps are handled.

  Parameters:
    `bit` - the bitmap byte array
    `width` - the bitmap assumed width
    `height` - the bitmap assumed height
  Returns:
    the Image associated with the bitmap (null if the dimensions detected in the header are not consistent with the assumed dimensions)

### getImageDimension

    protected Dimension getImageDimension(byte[] bit)

### getImage

    protected BufferedImage getImage(byte[] bit)

  Return the image associated with a bitmap in a Metafile. 24 bits and 8 bits bitmaps are handled.

  Parameters:
    `bit` - the bitmap byte array
  Returns:
    the Image associated with the bitmap (null if the dimensions detected in the header are not consistent with the assumed dimensions)

### getCharacterIterator

    protected AttributedCharacterIterator getCharacterIterator(Graphics2D g2d,
                                                               String sr,
                                                               WMFFont wmffont)

  Create an AttributedCharacterIterator with the current definition of the WMF Font, and the input String.

### getCharacterIterator

    protected AttributedCharacterIterator getCharacterIterator(Graphics2D g2d,
                                                               String sr,
                                                               WMFFont wmffont,
                                                               int align)

  Create an AttributedCharacterIterator with the current definition of the WMF Font, and the input String.

### getAttributedString

    protected AttributedString getAttributedString(Graphics2D g2d,
                                                   String sr,
                                                   WMFFont wmffont)

### setRecordStore

    public void setRecordStore(WMFRecordStore currentStore)

  Sets the WMFRecordStore this WMFPainter should use to render

### getRecordStore

    public WMFRecordStore getRecordStore()

  Returns the WMFRecordStore this WMFPainter renders

### addObject

    protected int addObject(WMFRecordStore store,
                            int type,
                            Object obj)

### addObjectAt

    protected int addObjectAt(WMFRecordStore store,
                              int type,
                              Object obj,
                              int idx)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.